#ifndef _GROUNDDEBRIS_H
#define _GROUNDDEBRIS_H

/************************************************/

#include "../entity/Airborne.h"
#include "../engine/GLColor.h"

/************************************************/

class GroundDebris
	: public Airborne
{
	protected:
		GLColor		color;
	
	public:
		GroundDebris(double _x, double _y, double power);
	
		int		renderPriority() {return 10;};
		int		stepPriority()	{return 0;};
	
		bool		isAlive() {return (x > 0  &&  x < 800  &&  y < 600);};
		void		render();
};

/*************************************************/

#endif
